Bug 11438 - autoreconf doesn't pass -I to aclocal
: autoreconf doesn't pass -I to aclocal
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/autoconf_2.60)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-10 11:23 by
Modified: 2008-11-22 04:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-10 11:23:13
$ autoreconf -fisv -I.
autoreconf-default: Entering directory `.'
autoreconf-default: configure.ac: not using Gettext
autoreconf-default: running: aclocal --force 
/usr/share/aclocal/libmikmod.m4:11: warning: underquoted definition of
AM_PATH_LIBMIKMOD
  run info '(automake)Extending aclocal'
  or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
autoreconf-default: configure.ac: tracing
autoreconf-default: running: libtoolize --force
/usr/share/aclocal/libmikmod.m4:11: warning: underquoted definition of
AM_PATH_LIBMIKMOD
  run info '(automake)Extending aclocal'
  or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
autoreconf-default: running: /usr/bin/autoconf-2.5 --include=. --force
configure.ac:177: error: possibly undefined macro:
AC_caolan_FUNC_WHICH_GETHOSTBYNAME_R
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf-default: /usr/bin/autoconf-2.5 failed with exit status: 1
[1]    28598 exit 1     autoreconf -fisv -I.

$ grep -rl AC_caolan_FUNC_WHICH_GETHOSTBYNAME_R .
./ac_gethostbyname_r.m4
./configure
./configure.ac
./autom4te.cache/output.0
./autom4te.cache/output.1

$ cat autogen.sh 
#!/bin/sh
set -e
set -x
aclocal -I .
autoheader
libtoolize --force --automake --copy
automake --gnu --include-deps --copy --add-missing
autoconf

При этом autogen.sh отрабатывает.
------- Comment #1 From 2007-04-12 03:20:31 -------
По хорошему, конечно, надо не autoreconf фичами обвешивать, а правильно
ACLOCAL_AMFLAGS в Makefile.am'ах расставлять, см.
$ info automake 'Local Macros'
------- Comment #2 From 2008-01-08 03:00:40 -------
Тем не менее для autoreconf описано
       -I, --include=DIR
              append directory DIR to search path
но в autoconf этот путь не передаётся.
Надо либо чтобы передавался, либо убрать из документации, раз не работает,
и вообще является нерекомендуемым способом.
P.S.
А за info automake 'Local Macros'
огромное спасибо, помогло.
------- Comment #3 From 2008-01-08 03:11:35 -------
(In reply to comment #2)
> Тем не менее для autoreconf описано
>        -I, --include=DIR
>               append directory DIR to search path
> но в autoconf этот путь не передаётся.

Нет, этот путь передаётся autoconf'у и autoheader'у,
но не передаётся aclocal'у.
А у aclocal, в отличие от autoconf с autoheader, нет параметра -B.

Т.е. можно пропатчить autoreconf на тему передачи параметра -I ещё и aclocal'у,
но с аналогичным параметром -B ничего не выйдет.
------- Comment #4 From 2008-11-21 19:59:10 -------
На чём остановимся?
------- Comment #5 From 2008-11-22 01:07:20 -------
Я согласен расставлять ACLOCAL_AMFLAGS
------- Comment #6 From 2008-11-22 04:26:39 -------
upstream решил передавать -I aclocal'у.
Хотя ACLOCAL_AMFLAGS конечно лучше.
Fixed in 2.63-alt2